QuantLib: DigitalCmsLeg Class Reference

A free/open-source library for quantitative finance Reference manual - version 1.6

- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
DigitalCmsLeg Class Reference

helper class building a sequence of digital ibor-rate coupons More...

`#include <ql/cashflows/digitalcmscoupon.hpp>`

## Public Member Functions
| DigitalCmsLeg (const Schedule &schedule, const boost::shared_ptr< SwapIndex > &index)
DigitalCmsLeg & | withNotionals (Real notional)
DigitalCmsLeg & | withNotionals (const std::vector< Real > &notionals)
DigitalCmsLeg & | withPaymentDayCounter (const DayCounter &)
DigitalCmsLeg & | withPaymentAdjustment (BusinessDayConvention)
DigitalCmsLeg & | withFixingDays (Natural fixingDays)
DigitalCmsLeg & | withFixingDays (const std::vector< Natural > &fixingDays)
DigitalCmsLeg & | withGearings (Real gearing)
DigitalCmsLeg & | withGearings (const std::vector< Real > &gearings)
DigitalCmsLeg & | withSpreads (Spread spread)
DigitalCmsLeg & | withSpreads (const std::vector< Spread > &spreads)
DigitalCmsLeg & | inArrears (bool flag=true)
DigitalCmsLeg & | withCallStrikes (Rate strike)
DigitalCmsLeg & | withCallStrikes (const std::vector< Rate > &strikes)
DigitalCmsLeg & | withLongCallOption (Position::Type)
DigitalCmsLeg & | withCallATM (bool flag=true)
DigitalCmsLeg & | withCallPayoffs (Rate payoff)
DigitalCmsLeg & | withCallPayoffs (const std::vector< Rate > &payoffs)
DigitalCmsLeg & | withPutStrikes (Rate strike)
DigitalCmsLeg & | withPutStrikes (const std::vector< Rate > &strikes)
DigitalCmsLeg & | withLongPutOption (Position::Type)
DigitalCmsLeg & | withPutATM (bool flag=true)
DigitalCmsLeg & | withPutPayoffs (Rate payoff)
DigitalCmsLeg & | withPutPayoffs (const std::vector< Rate > &payoffs)
DigitalCmsLeg & | withReplication (const boost::shared_ptr< DigitalReplication > &replication=boost::shared_ptr< DigitalReplication >(new DigitalReplication))
| operator Leg () const

## Detailed Description

helper class building a sequence of digital ibor-rate coupons